rpmps.h File Reference
(un)Installing packages: » Problem Set API.
`#include <stdio.h>`
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmprob.h>`
Include dependency graph for rpmps.h:

Go to the source code of this file.

## Typedefs

typedef struct rpmpsi_s * | rpmpsi

## Functions

rpmps | rpmpsLink (rpmps ps)
int | rpmpsNumProblems (rpmps ps)
rpmpsi | rpmpsInitIterator (rpmps ps)
rpmpsi | rpmpsFreeIterator (rpmpsi psi)
rpmProblem | rpmpsiNext (rpmpsi psi)
int | rpmpsNextIterator (rpmpsi psi)
rpmProblem | rpmpsGetProblem (rpmpsi psi)
rpmps | rpmpsCreate (void)
rpmps | rpmpsFree (rpmps ps)
void | rpmpsPrint (FILE *fp, rpmps ps)
void | rpmpsAppendProblem (rpmps ps, rpmProblem prob)
int | rpmpsMerge (rpmps dest, rpmps src)

## Detailed Description

Structures and prototypes used for an "rpmps" problem set.

Definition in file rpmps.h.